﻿using System;
using System.Collections.Generic;
using inutralia.Views.NutriQuestion;
using Xamarin.Forms;


public class Monkey
{
    public string Id { get; set; }
    public string Asunto { get; set; }
    public string Fecha { get; set; }
    public string Estado { get; set; }
    public string Leida { get; set; }


    public override string ToString()
    {

        return Asunto;
    }
}

namespace inutralia.Views.NutriQuestion
{
    public partial class NutriQuestionListView : ContentPage
    {
        public IList<Monkey> Monkeys { get; private set; }

        public NutriQuestionListView()
        {
            InitializeComponent();

            Monkeys = new List<Monkey>();
        
            Monkeys.Add(new Monkey
            {
                Id="1",
                Asunto = "Asunto question 1 que sea un poco larga de más a ver que pasa",
                Fecha = "29/10/2019 16:17:48",
                Estado="Cerrada",
                Leida="Leída"
               
            });

            Monkeys.Add(new Monkey
            {
                Id = "2",
                Asunto = "Asunto question 2 Lorem ipsum daet ejemplo de text largo otra vez",
                Fecha = "28/10/2019 16:17:48",
                Estado = "Pendiente",
                Leida = "No Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "3",
                Asunto = "Asunto question 3",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Respuesta",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "4",
                Asunto = "Asunto question 4",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Pendiente",
                Leida = "No Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "5",
                Asunto = "Asunto question 5",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Pendiente",
                Leida = "No Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "6",
                Asunto = "Asunto question 6",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "7",
                Asunto = "Asunto question 7",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Respuesta",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "8",
                Asunto = "Asunto question 8",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "9",
                Asunto = "Asunto question 9",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "10",
                Asunto = "Asunto question 10",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "11",
                Asunto = "Asunto question 11",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "12",
                Asunto = "Asunto question 12",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"

            });

            Monkeys.Add(new Monkey
            {
                Id = "13",
                Asunto = "Asunto question 13",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "14",
                Asunto = "Asunto question 14",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "15",
                Asunto = "Asunto question 15",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "16",
                Asunto = "Asunto question 16",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "17",
                Asunto = "Asunto question 17",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "18",
                Asunto = "Asunto question 18",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída"
            });

            Monkeys.Add(new Monkey
            {
                Id = "19",
                Asunto = "Asunto question 19",
                Fecha = "27/10/2019 16:17:48",
                Estado = "Cerrada",
                Leida = "Leída,"
            });
            BindingContext = this;


        }

//click item list 
 void Handle_ItemTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item == null)
                return;
            //ABRO VISTA DETALLES DE LA CONSULTA
            (App.Current.MainPage as RootPage).Navigate<DetailsNutriQuestionListView>();

            //Deselect Item
            ((ListView)sender).SelectedItem = null;
        }


        //click button create question

        private void NewQuestion_Clicked(object sender, EventArgs e)
        {
            (App.Current.MainPage as RootPage).Navigate<CreateNutriQuestion>();
        }

       



    }
}
