﻿using System;
using System.Collections.Generic;
using inutralia.Views.NutriQuestion;
using Xamarin.Forms;


public class Bubble
{
    public string Id { get; set; }
    public string Mensaje { get; set; }
    public string Icono { get; set; }
    public string Fecha { get; set; }
    public string Leida { get; set; }


    public override string ToString()
    {

        return Mensaje;
    }
}



namespace inutralia.Views.NutriQuestion
{
    public partial class DetailsNutriQuestionListView : ContentPage
    {
        public IList<Bubble> Bubbles { get; private set; }

        public DetailsNutriQuestionListView()
        {
            InitializeComponent();

            Bubbles = new List<Bubble>();

            Bubbles.Add(new Bubble
            {
                Id = "1",
                Mensaje = "Consulta del cliente ejemplo afas fdfasd fsadf sdfasdfsdf sdfasdfasdf asdfasdfasdfsdaf",
                Icono = "user_chat.png",
                Fecha = "29/10/2019 16:17:48",
                Leida = "Leída"

            });

            Bubbles.Add(new Bubble
            {
                Id = "2",
                Mensaje = "Respuesta del Nutricionista ejemplo afas fdfasd fsadf sdfasdfsdf sdfasdfasdf asdfasdfasdfsdaf",
                Icono = "nutricionist_chat.png",
                Fecha = "30/10/2019 16:17:48",
                Leida = "No Leída"

            });

            Bubbles.Add(new Bubble
            {
                Id = "3",
                Mensaje = "Respuesta del Cliente ejemplo afas fdfasd af sdafsaf adsfasdf asdfasdfasd sdfasdfas sdfasdf sdfdf  asdfsafsafasdf dasfasdf dsfasdf sdafasdfasdf sdfasdfasdf sdfas dsfasdfasdf sadfasd fsadf",
                Icono = "user_chat.png",
                Fecha = "01/11/2019 16:17:48",
                Leida = "Leída"

            });

            Bubbles.Add(new Bubble
            {
                Id = "4",
                Mensaje = "Respuesta del Nutricionista ejemplo afas fdfasd fsadf sdfasdfsdf sdfasdfasdf asdfasdfasdfsdaf",
                Icono = "nutricionist_chat.png",
                Fecha = "02/11/2019 16:17:48",
                Leida = "Leída"

            });
            Bubbles.Add(new Bubble
            {
                Id = "5",
                Mensaje = "Respuesta del usuario ya par finalizar ",
                Icono = "user_chat.png",
                Fecha = "02/11/2019 16:17:48",
                Leida = "Leída"

            });

            Bubbles.Add(new Bubble
            {
                Id = "6",
                Mensaje = "ultima respuesta del nutricionista, fin de la converasación, cerrada ",
                Icono = "nutricionist_chat.png",
                Fecha = "02/11/2019 16:17:48",
                Leida = "Leída"

            });


            BindingContext = this;


        }

        async void Handle_ItemTapped(object sender, ItemTappedEventArgs e)
        {
            if (e.Item == null)
                return;

            await DisplayAlert("Item Tapped", "An item was tapped.", "OK");

            //Deselect Item
            ((ListView)sender).SelectedItem = null;
        }
    }
}
